<?php
/*Автор - TheAlex(Саня)
Все права принадлежат компании CreaWap)*/
$title = 'Страничка продавца';
require_once ('../system/function.php');
require_once ('../system/header.php');

if(!isset($user['id'])) {
echo err($title, '
Уважаемый посетитель, Вы зашли на сайт как незарегистрированный пользователь.<br/>
Мы рекомендуем Вам зарегистрироваться либо войти на сайт под своим именем.
');
require_once ('../system/footer.php'); exit;
}
$_GET['id']=abs(intval($_GET['id']));
if(mysql_num_rows(mysql_query("SELECT * FROM `users` WHERE `id`='".$_GET['id']."'"))==0){
	echo '<div class="podmenu"><center><b>Поользователя не существует!';
	require_once ('../system/footer.php');
	exit();
}
$usinf=mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='".$_GET['id']."'"));
if(isset($_GET['podp'])){
	mysql_query("INSERT INTO `shop_sub` SET `id_us`='".$user['id']."', `id_seller`='".$_GET['id']."'");
	echo '<div class="podmenu">Вы успешно подписались на новинки продавца!</div>';
}
if(isset($_GET['otp'])){
	mysql_query("DELETE FROM `shop_sub` WHERE `id_us`='".$user['id']."'");
	echo '<div class="podmenu">Вы успешно отписались от новинок от продавца!</div>';
}
echo '<div class="title"><a href="/m">Магазин</a> | Пользователь '.nick($_GET['id']).'</div>
<div class="podmenu">
<a href="/user_'.$_GET['id'].'">Страница на сайте</a><br/>
<img src="/images/m/rating.png"> Рейтинг: '.$usinf['rating'].'</div>';
if($usinf['wmid_pod']!=0){
echo '<div class="podmenu">
WMID: <a href="https://passport.webmoney.ru/asp/certView.asp?wmid='.$usinf['wmid'].'">'.$usinf['wmid'].'</a> | BL: <img src="http://stats.wmtransfer.com/Levels/pWMIDLevel.aspx?wmid='.$usinf['wmid'].'&w=35&h=18&bg=0XFFFFFF"> | Претензии/Отзывы: <img src="http://arbitrage.webmoney.ru/xml/AL.aspx?wmid='.$usinf['wmid'].'">
</div>';
}
echo '<div class="podmenu">Куплено товаров в магазине: '.mysql_num_rows(mysql_query("SELECT * FROM `shop_buy` WHERE `id_us`='".$_GET['id']."'")).'<br/>
<a href="/m/shop.php?id='.$_GET['id'].'">Товары пользователя</a> ('.mysql_num_rows(mysql_query("SELECT * FROM `shop_goods` WHERE `id_us`='".$_GET['id']."'")).')</div>';

if($_GET['id']!=$user['id']){
	echo '<div class="podmenu">';
	if(mysql_num_rows(mysql_query("SELECT * FROM `shop_sub` WHERE `id_us`='".$user['id']."' AND `id_seller`='".$_GET['id']."'"))==0){
echo '<a href="/m/usinf.php?id='.$_GET['id'].'&podp">Подписаться на новинки от продавца</a>';
}else{
	echo '<a href="/m/usinf.php?id='.$_GET['id'].'&otp">Отписаться от новинок от продавца</a>';
}
echo ' (Подписано '.mysql_num_rows(mysql_query("SELECT * FROM `shop_sub` WHERE `id_seller`='".$_GET['id']."'")).' чел.)';
echo '</div>';
}

require_once ('../system/footer.php');
?>